## policykit-1 0.101

=== debian/changelog ===
policykit-1 (0.101-1ubuntu1) natty; urgency=low

  * SECURITY UPDATE: avoid /proc race conditions when checking privileges
    for pkexec.
    - Add debian/patches/10_fix_proc_race.patch: fix from upstream.
    - Add debian/patches/99_ignore_quilt_po.patch: ignore .pc/ for po files.
    - update debian/libpolkit-gobject-1-0.symbols for new symbols.
    - CVE-2011-1485

 -- Kees Cook <kees@ubuntu.com>  Tue, 19 Apr 2011 12:18:28 -0700

policykit-1 (0.101-1) experimental; urgency=low

  * New upstream release.
  * Update patches
    - Drop debian/patches/04_test_signalfd.patch, merged upstream.
    - Refresh other patches to apply cleanly.
  * debian/libpolkit-gobject-1-0.symbols
    - Add polkit_authorization_result_get_dismissed.
  * debian/control
    - Bump Build-Depends on libglib2.0-dev to (>= 2.28.0).
  * debian/rules
    - Don't build example programs.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Mar 2011 23:50:17 +0100

policykit-1 (0.100-1) experimental; urgency=low

  * New upstream release.
  * Refresh debian/patches/03_complete_session.patch.
  * Replace debian/patches/04_test_signalfd.patch with a patch that was merged
    upstream. This also allows to drop debian/patches/99_autoreconf.patch.
  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Install documentation using debian/policykit-1.docs.
  * Enable gobject introspection support.
    - Add Build-Depends on libgirepository1.0-dev (>= 0.9.12),
      gobject-introspection (>= 0.9.12-4~) and gir1.2-glib-2.0.
    - Add package gir1.2-polkit-1.0 containing the typelib files.
    - Install gir files in libpolkit-agent-1-dev.install and
      libpolkit-gobject-1-dev.install.
    - Call dh_girepository in debian/rules.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2011 19:51:17 +0100

policykit-1 (0.99-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Feb 2011 19:21:36 +0100

policykit-1 (0.99-2) experimental; urgency=low

  [ Michael Biebl ]
  * Merge sudo group changes from unstable branch.

  [ Martin Pitt ]
  * debian/rules: Use dpkg-vendor instead of lsb_release. Drop lsb-release
    build dependency.
  * Add 04_test_signalfd.patch: Allow building on Non-Linux platforms without
    signalfd(). (Closes: #602476)
  * Add 99_autoreconf.patch: Pick up autoreconf changes from previous patch.

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Dec 2010 16:28:11 +0100

policykit-1 (0.99-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * debian/patches/00git-fix-error-freeing.patch
    - Remove, fixed upstream.
  * debian/patches/00git-pkexec-information-disclosure.patch
    - Remove, merged upstream.
  * debian/control
    - Drop Build-Depends on libeggdbus-1-dev.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.25.12) for GDBus.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.

  [ Robert Ancell ]
  * Add debian/patches/02_gettext.patch: Use gettext for translations in
    .policy files if they specify a gettext domain.

  [ James Westby ]
  * Add debian/patches/03_complete_session.patch: Fix the race that leads to
    the password box disappearing, but the dialog remaining.

  [ Martin Pitt ]
  * debian/rules: Set DPKG_GENSYMBOLS_CHECK_LEVEL to 4 to point out outdated
    .symbols files more strongly.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Nov 2010 17:27:09 -0400

policykit-1 (0.96-4) unstable; urgency=low

  * debian/rules
    - When building for Debian, install a localauthority.conf.d configuration
      file which considers "sudo" group users as administrators.
      (Closes: #532499)

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Nov 2010 23:21:50 +0100

policykit-1 (0.96-3) unstable; urgency=low

  * debian/control
    - Use architecture wildcard linux-any for libselinux1-dev.
    - Bump Standards-Version to 3.9.1.
  * debian/policykit-1.postinst
    - Query D-Bus to find out the correct pid of the process claiming
      org.freedesktop.PolicyKit1. This way we do not accidentally kill the
      wrong process when being installed in a chroot. (Closes: #595030)
  * debian/policykit-1.prerm
    - Stop polkitd on remove. (Closes: #595031)

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Sep 2010 23:27:56 +0200

policykit-1 (0.96-2) unstable; urgency=medium

  * Urgency medium, just two small, but important bug fixes.
  * Add 00git-pkexec-information-disclosure.patch: Fix information disclosure
    vulnerability that allows an attacker to verify whether or not arbitrary
    files exist, violating directory permissions.
  * 00git-fix-error-freeing.patch: Fix crash when calling CheckAuthorization()
    with an invalid PID. (LP: #540464)

 -- Martin Pitt <mpitt@debian.org>  Fri, 09 Apr 2010 12:09:53 +0200

policykit-1 (0.96-1) unstable; urgency=low

  * New upstream release.
  * debian/libpolkit-backend-1-0.symbols
    - Update for new API addition.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Jan 2010 00:05:48 +0100

policykit-1 (0.95-1) unstable; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/02_dont_export_private_symbols.patch (merged upstream)
    - debian/patches/03_path_max.patch (merged upstream)
    - debian/patches/04-ref-authority.patch (merged upstream)
    - debian/patches/05-pkexec-env.patch (merged upstream)
    - debian/patches/99_autoreconf.patch (obsolete)
  * debian/control
    - Bump Build-Depends on libeggbus-1-dev to (>= 0.6).
  * debian/rules
    - The example application is no longer built by default so we don't need
      to manually remove it anymore.
  * debian/libpolkit-{backend,gobject}-1-0.symbols
    - Update for new API additions.

 -- Michael Biebl <biebl@debian.org>  Sat, 14 Nov 2009 05:33:34 +0100

policykit-1 (0.94-6) unstable; urgency=low

  * debian/policykit-1.postinst

