=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 8),
 autotools-dev,
 pkg-config,
 libglib2.0-dev (>= 2.28.0),
 libexpat1-dev,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 gtk-doc-tools,
 xsltproc,
 libgirepository1.0-dev (>= 0.9.12),
 gobject-introspection (>= 0.9.12-4~),
 gir1.2-glib-2.0
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-utopia/policykit.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/policykit.git;a=summary
Homepage: http://hal.freedesktop.org/docs/PolicyKit/

Package: policykit-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, consolekit, dbus
Description: framework for managing administrative policies and privileges
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.

Package: policykit-1-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation for PolicyKit-1
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the API documentation of PolicyKit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: policykit-1 (<< 0.99), libpolkit-gtk-1-0 (<< 0.99), libpolkit-agent-1-0 (<< 0.99), libpolkit-backend-1-0 (<< 0.99)
Description: PolicyKit Authorization API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing PolicyKit.

Package: libpolkit-gobject-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-gobject-1-0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
Description: PolicyKit Authorization API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PolicyKit Authentication Agent API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-agent-1-0 (= ${binary:Version}), ${misc:Depends}, libpolkit-gobject-1-dev
Description: PolicyKit Authentication Agent API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: libpolkit-backend-1-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: policykit-1 (<< 0.99)
Description: PolicyKit backend API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for implementing authentication backends.

Package: libpolkit-backend-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-backend-1-0 (= ${binary:Version}), ${misc:Depends}, libpolkit-gobject-1-dev
Description: PolicyKit backend API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-backend-1-0.

Package: gir1.2-polkit-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GObject introspection data for PolicyKit
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains introspection data for PolicyKit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
