## policykit-1 0.102

=== debian/changelog ===
policykit-1 (0.102-2) unstable; urgency=low

  * 02_gettext.patch: Explicitly #include <locale.h> to fix non-optimized
    build. Thanks Ivan Krasilnikov for pointing this out.
  * debian/rules: When building on Ubuntu, also consider the "sudo" group as
    administrator, for compatibility with Debian and sudo itself. Keep "admin"
    for existing systems. (LP: #893842)
  * Convert to Multi-Arch and dh compat 9. Thanks Daniel Schaal for the
    patch! (Closes: #636196)

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Nov 2011 07:44:09 +0100

policykit-1 (0.102-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00git_fix_proc_race.patch: Removed, merged upstream.
  * debian/patches/04_ignore_quilt_po.patch: Removed, merged upstream.
  * debian/patches/03_complete_session.patch: Refreshed.
  * debian/patches/04_get_cwd.patch: Use g_get_current_dir() to determine the
    current working directory. This fixes another PATH_MAX related FTBFS on
    hurd. Thanks Emilio Pozuelo Monfort for the patch. (Closes: #623017)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Aug 2011 03:17:20 +0200

policykit-1 (0.101-4) unstable; urgency=high

  Urgency high due to security fix.

  * Add 00git_fix_proc_race.patch: Avoid /proc race conditions when checking
    privileges for pkexec. Patch taken from
    https://bugzilla.redhat.com/show_bug.cgi?id=692922, now also landed in
    upstream git. [CVE-2011-1485]
  * debian/libpolkit-gobject-1-0.symbols: Update for new symbols.
  * Add 04_ignore_quilt_po.patch: Ignore .po/ for intltool. This avoids build
    failures if quilt patches change files with translatable strings. Thanks
    to Kees Cook for the patch!

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Apr 2011 12:11:38 +0200

policykit-1 (0.101-3) unstable; urgency=low

  * debian/control
    - Add Depends on gir1.2-polkit-1.0 (= ${binary:Version}) to
      libpolkit-gobject-1-dev and libpolkit-agent-1-dev to comply with the
      updated GObject introspection policy.
    - Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Apr 2011 20:34:03 +0200

policykit-1 (0.101-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Mar 2011 02:19:51 +0100
