## policykit-1 0.103

=== debian/changelog ===
policykit-1 (0.103-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Change section of gir1.2-polkit-1.0 to introspection.
  * 05_revert-admin-identities-unix-group-wheel.patch: Revert upstream change
    to make group wheel the default admin identity since we already use group
    sudo resp. group admin for that.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Dec 2011 00:48:17 +0100
