## policykit-1 0.104

=== debian/changelog ===
policykit-1 (0.104-1ubuntu1) precise-proposed; urgency=low

  * debian/patches/07_pam_environment.patch: set process environment
    from pam_getenvlist().  Closes LP: #982684.
  * debian/patches/01_pam_polkit.patch: adjust patch to invoke pam_env, so
    our global settings from /etc/environment are applied correctly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 May 2012 15:15:52 -0700

policykit-1 (0.104-1) unstable; urgency=low

  * New upstream release.
    - Add support for netgroups. (LP: #724052)
  * debian/rules: Disable systemd support, continue to work with ConsokeKit.
  * 05_revert-admin-identities-unix-group-wheel.patch: Refresh to apply
    cleanly.
  * debian/libpolkit-gobject-1-0.symbols: Add new symbols from this new
    release.
  * debian/rules: Do not let test failures fail the build. The new test suite
    also runs a test against the system D-BUS/ConsoleKit, which can't work on
    buildds.

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Jan 2012 12:28:54 +0100
