=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
https://www.freedesktop.org/software/polkit/releases/polkit-(.*)\.tar\.gz
