## policykit-1 0.105.10.12

=== debian/changelog ===
policykit-1 (0.105.10.12-1+dde) UNRELEASED; urgency=medium

  * fix cve-2021-4034

 -- xiejiabo <xiejiabo@uniontech.com>  Mon, 27 Jan 2022 11:32:20 +0800

policykit-1 (0.105.10.11-1+dde) UNRELEASED; urgency=medium

  * fix clear g_loop object

 -- xiejiabo <xiejiabo@uniontech.com>  Mon, 17 Jan 2022 10:21:41 +0800
 

policykit-1 (0.105.10.10-1+dde) UNRELEASED; urgency=medium

  * fix deepin helper repeat exit

 -- xiejiabo <xiejiabo@uniontech.com>  Mon, 12 Jan 2022 16:44:20 +0800
 

policykit-1 (0.105.10.9-1+dde) UNRELEASED; urgency=medium

  * fix deepin helper cannot exit

 -- pengwenhao <pengwenhao@uniontech.com>  Mon, 10 Jan 2022 14:59:49 +0800

policykit-1 (0.105.10.8-1+dde) UNRELEASED; urgency=medium

  * update version to 0.105.10.8-1+dde

 -- fanpengcheng <fanpengcheng@uniontech.com>  Fri, 03 Dec 2021 17:12:30 +0800

policykit-1 (0.105.10.7-4+dde) UNRELEASED; urgency=medium

  * init GList to fix the helper process panic

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 26 Nov 2021 13:47:15 +0800
 

policykit-1 (0.105.10.7-3+dde) UNRELEASED; urgency=medium

  * add build option 'pie', to fix CVE of arbitrary read

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 15 Nov 2021 20:44:15 +0800
 

policykit-1 (0.105.10.7-2+dde) UNRELEASED; urgency=medium

  * pkexec can work in tty

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 04 Nov 2021 11:04:15 +0800
 

policykit-1 (0.105.10.7-1+dde) UNRELEASED; urgency=medium

  * use new polkit agent and interactive control

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 14 Oct 2021 15:35:39 +0800

policykit-1 (0.105.10.6-1+dde) unstable; urgency=medium

  * add language env

 -- xiejiabo <xiejiabo@uniontech.com> Thur, 04 Mar 2021 15:37:58 +0800

policykit-1 (0.105.10.5-1+dde) unstable; urgency=medium

  [ liuyong ]
  * update whitelist

 -- liuyong <liuyong@uniontech.com> Wed, 16 Sep 2020 15:37:58 +0800

policykit-1 (0.105.10.4-1+dde) UNRELEASED; urgency=medium

  * update whitelist for deepin-recovery-tool

 -- liuyong <liuyong@uniontech.com>  Wed, 05 Aug 2020 15:44:40 +0800

policykit-1 (0.105.10.3-2+dde2) unstable; urgency=medium

  * Set polkit whitelist to immutable

policykit-1 (0.105.9-1+deepin) unstable; urgency=medium

  * Team upload
  * Add tests-add-tests-for-high-uids.patch
    - Patch from upstream modified by Ubuntu to test high UID fix
  * Compare PolkitUnixProcess uids for temporary authorizations.
    - Fix temporary auth hijacking via PID reuse and non-atomic fork
      (CVE-2019-6133) (Closes: #918985)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 15 Jan 2019 11:11:58 -0500
