## policykit-1 0.105.10.17

=== debian/changelog ===
policykit-1 (0.105.10.17-1+dde) UNRELEASED; urgency=medium

  * Revert "fix pkexec fails with No session for cookie".

 -- lichangze <lichangze@uniontech.com>  Sun, 28 Seo 2022 20:30:10 +0800

policykit-1 (0.105.10.16-1+dde) UNRELEASED; urgency=medium

  * modify check security verify.

 -- lichangze <lichangze@uniontech.com>  Sun, 13 Apr 2022 21:30:10 +0800

policykit-1 (0.105.10.15-1+dde) UNRELEASED; urgency=medium

  * add security compile options.

 -- lichangze <lichangze@uniontech.com>  Sun, 03 Apr 2022 21:30:10 +0800

policykit-1 (0.105.10.14-1+dde) UNRELEASED; urgency=medium

  * remove dependencies

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 17 Mar 2022 10:45:38 +0800

policykit-1 (0.105.10.13-1+dde) UNRELEASED; urgency=medium

  * fix use_difference_authenticate

 -- echengqi <echengqi@uniontech.com>  Thu, 24 Feb 2022 10:18:20 +0800
