## policykit-1 0.105.10.19

=== debian/changelog ===
policykit-1 (0.105.10.19-1+dde) UNRELEASED; urgency=medium

  * modify the called helper and deepin helper.

 -- echengqi <echengqi@uniontech.com>  Sun, 09 Otc 2022 15:23:10 +0800

policykit-1 (0.105.10.18-1+dde) UNRELEASED; urgency=medium

  * modify the called helper.

 -- lichangze <lichangze@uniontech.com>  Sun, 30 Sep 2022 18:00:10 +0800
