=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_OPTIONS=nocheck
+export DEB_LDFLAGS_MAINT_APPEND=-z relro -z now -z noexecstack
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
