## policykit-1 0.105.10.21

=== debian/changelog ===
policykit-1 (0.105.10.21-1+dde) UNRELEASED; urgency=medium

  * modify the deepin helper.

 -- echengqi <echengqi@uniontech.com>  Thu, 02 Mar 2023 14:50:02 +0800

policykit-1 (0.105.10.20-1+dde) UNRELEASED; urgency=medium

  * modify to support username is only number.

 -- lichangze <lichangze@uniontech.com>  Thu, 12 Jan 2023 17:16:35 +0800
